#
# event.py
#
# Copyright 2009, Red Hat, Inc.
#
# GPLv2+ boilerplate goes here
#
# Author: Will Woods <wwoods@redhat.com>

import optparse

name = 'post-tree-compose'

def extend_parser(parser):
    '''Extend the given OptionParser object with settings for this event.'''
    parser.set_usage('%%prog %s [options] TREEURL' % name)
    group = optparse.OptionGroup(parser, '%s options' % name)
    group.add_option('-n', '--name',
        help='Short, human-readable name for the repo under test')
    parser.add_option_group(group)
    return parser

def process_testdata(parser, opts, args, **extra):
    '''Given an optparse.Values object and a list of args (as returned from
    OptionParser.parse_args()), return a dict containing the appropriate key=val
    pairs required by test's control files and test object. The event can also
    call parser.error here if it find out that not all options are correctly
    populated.'''

    if not args:
        parser.error('No tree URL was specified as a test argument!')

    testdata = {'baseurl': args[0],
                'name': opts.name or ''}
    return testdata
