#!/usr/bin/python
#
# Copyright 2010, Red Hat, Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Author: Chris Lumens <clumens@redhat.com>

from suites import BaseSuite
from cases import Creator

import os
import tempfile

class AutopartTestSuite(BaseSuite):
    """Test autopartitioning from a single blank drive."""
    name = "autopart"

    def setup(self):
        (fd, diskimage) = tempfile.mkstemp(dir=self.tempdir)
        os.close(fd)

        os.system("/usr/bin/qemu-img create -f qcow2 %s 8G" % diskimage)
        self.drives = [diskimage]

    @property
    def tests(self):
        return [Creator("Autopart", self.tempdir, self.drives)]
