#!/bin/bash
# vim: dict=/usr/share/beakerlib/dictionary.vim cpt=.,w,b,u,t,i,k
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
#   runtest.sh of /CoreOS/spamassassin/Sanity/init-script-exit-codes
#   Description: init script LSB compliance test
#   Author: Ales Zelinka <azelinka@redhat.com>
#
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
#   Copyright (c) 2009 Red Hat, Inc. All rights reserved.
#
#   This copyrighted material is made available to anyone wishing
#   to use, modify, copy, or redistribute it subject to the terms
#   and conditions of the GNU General Public License version 2.
#
#   This program is distributed in the hope that it will be
#   useful, but WITHOUT ANY WARRANTY; without even the implied
#   warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
#   PURPOSE. See the GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public
#   License along with this program; if not, write to the Free
#   Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
#   Boston, MA 02110-1301, USA.
#
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

# Include rhts environment
#. /usr/bin/rhts-environment.sh
#. /usr/share/rhts-library/rhtslib.sh
. /usr/share/beakerlib/beakerlib.sh

PACKAGE="spamassassin"
SERVICE="spamassassin"

rlJournalStart
rlPhaseStartSetup
    rlAssertRpm $PACKAGE
    rlServiceStop $SERVICE
rlPhaseEnd
rlPhaseStartTest "Start"
    rlRun "service $SERVICE start" 0
    rlRun "service $SERVICE status" 0
    rlRun "service $SERVICE start" 0
    rlRun "service $SERVICE status" 0
    rlRun "service $SERVICE restart" 0
    rlRun "service $SERVICE status" 0
rlPhaseEnd
rlPhaseStartTest "Stop"
    rlRun "service $SERVICE stop" 0
    rlRun "service $SERVICE status" 3
    rlRun "service $SERVICE stop" 0
    rlRun "service $SERVICE status" 3
rlPhaseEnd
rlPhaseStartTest "Lock file"
    rlRun "touch /var/lock/subsys/$SERVICE"
    rlRun "service $SERVICE status" 2
rlPhaseEnd
rlPhaseStartTest "restarts-reloads"
    rlRun "service $SERVICE condrestart" 0
    rlRun "service $SERVICE status" 0
    rlRun "service $SERVICE force-reload" 0
rlPhaseEnd
rlPhaseStartCleanup
    rlServiceRestore $SERVICE
rlPhaseEnd
rlJournalPrintText
rlJournalEnd
