# site_autotest.py - site-specific autotest extensions for use in autoqa
#
# this must be copied to autotest/server/, because it is imported by
# autotest/server/server.py
#
# Author: James Laska <jlaska@redhat.com>

import logging
from autotest_lib.server.autotest import BaseAutotest

class SiteAutotest(BaseAutotest):
    def _install(self, host=None, autodir=None, use_autoserv=True,
                 use_packaging=True):

        # NOTE: Due to inconsistent rsync/scp behavior inside autotest, all
        # the transferred directories must end with a slash and must be removed
        # and re-created at the destination machine prior to the transfer.
        # See: http://autotest.kernel.org/ticket/45

        # copy autoqa config files
        logging.debug("Copying autoqa configuration files")
        srcdir = '/etc/autoqa/'
        destdir = srcdir
        host.run('rm -rf %(dir)s; mkdir -p %(dir)s' % {'dir': destdir})
        host.send_file(srcdir, destdir)

        # Finally, continue installation by calling our parent
        super(SiteAutotest, self)._install(host, autodir, use_autoserv, use_packaging)

